Subject: Re: [6lo] About the IID construction in 6lo-WBAN

From: "Houjianqiang (Derek)" <[email-masked]>
Date: Fri, 17 Nov 2017 14:39:22 +0000

Many thanks for your suggestion.

I didn’t mean to argue on the IID formation. I totally agree that privacy issues must be considered. Padding an 8-bit BAN ID together with an 8-bit short address is probably not private enough in many cases. We will reflect your comment in the next version.

Thanks,
Jianqiang Hou (Derek)

发件人: Dave Thaler [mailto:[email-masked]]
发送时间: 2017年11月17日 14:21
收件人: Houjianqiang (Derek) <[email-masked]>; Rahul Arvind Jadhav (Rahul Arvind Jadhav, 2012 Labs) <[email-masked]>
抄送: [email-masked]
主题: RE: About the IID construction in 6lo-WBAN

Privacy is about making both predictability and correlation hard.
Padding an 8-bit short address results in easy predictability as there’s only 256 possibilities to probe in an address scan.
See RFC 8065 for more details on why this is bad.

Dave

From: 6lo [mailto:[email-masked]] On Behalf Of Houjianqiang (Derek)
Sent: Friday, November 17, 2017 11:48 AM
To: Dave Thaler <[email-masked]<mailto:[email-masked]>>; Rahul Arvind Jadhav (Rahul Arvind Jadhav, 2012 Labs) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [6lo] About the IID construction in 6lo-WBAN

Hi Dave and Rahul,

Thanks for your valuable comments on the IID construction in 6lo-WBAN. Since I am one of the co-authors, it is my pleasure to provide more information of the current IID construction in this draft:

There are two kinds of nodes in a WBAN, namely BAN coordinator and BAN nodes (not sure whether I name them correctly). Each BAN coordinator holds an 8-bit BAN ID. BAN nodes need to associate with the BAN coordinator using MAC48 address, then the BAN coordinator allocates an 8-bit short address to each BAN node. When multiple BAN coordinators exist in a subnet, each BAN coordinator holds an unique BAN ID after negotiations. So, the BAN ID and the 8-bit node address are not built-in constant addresses in a WBAN device, and the current IID construction method in the draft guarantees its uniqueness inside a subnet.

Regards,
Jianqiang Hou (Derek)

draft-sajjad-6lo-wban-01
https://datatracker.ietf.org/doc/draft-sajjad-6lo-wban/<https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-sajjad-6lo-wban%2F&data=02%7C01%7Cdthaler%40microsoft.com%7Cd4ac22bda3314ac8ef1b08d52d65b507%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636464837211941149&sdata=paYF2DYV1Oq2SdriqBL2q%2F%2FtwNaMoICoz7EqKxCteNs%3D&reserved=0>